summaryrefslogtreecommitdiff
path: root/iconvdata/tst-tables.sh
diff options
context:
space:
mode:
authorUlrich Drepper <drepper@redhat.com>2000-09-08 04:31:55 +0000
committerUlrich Drepper <drepper@redhat.com>2000-09-08 04:31:55 +0000
commit63e18f77e2e1cfadfd7d6daa0c2c6583c7c7d7d9 (patch)
tree3fe8e844e0ae9311d223e137b928b33e886b1530 /iconvdata/tst-tables.sh
parentc329332e73e86c669f5be363aef2fb18006b0c48 (diff)
Update.
* iconvdata/tst-tables.sh: Actually return with an error if something goes wrong. * iconvdata/tst-table.sh: Return with an error if any of the cmp fails. * iconvdata/big5hkscs.c (BODY of FROM_LOOP): Reject 0xff as input.
Diffstat (limited to 'iconvdata/tst-tables.sh')
-rwxr-xr-xiconvdata/tst-tables.sh15
1 files changed, 10 insertions, 5 deletions
diff --git a/iconvdata/tst-tables.sh b/iconvdata/tst-tables.sh
index 202b52f09f..8692b2a86b 100755
--- a/iconvdata/tst-tables.sh
+++ b/iconvdata/tst-tables.sh
@@ -179,7 +179,7 @@ cat <<EOF |
ISO-IR-197
TIS-620
KOI8-U
- ISIRI-3342
+ #ISIRI-3342 This charset concept is completely broken
#
# Multibyte encodings come here
#
@@ -205,9 +205,14 @@ cat <<EOF |
EOF
while read charset charmap; do
case ${charset} in \#*) continue;; esac
- echo "Testing ${charset}" 1>&2
- ./tst-table.sh ${common_objpfx} ${objpfx} ${charset} ${charmap} \
- || { echo "failed: ./tst-table.sh ${common_objpfx} ${objpfx} ${charset} ${charmap}"; status=1; }
+ echo -n "Testing ${charset}" 1>&2
+ if ./tst-table.sh ${common_objpfx} ${objpfx} ${charset} ${charmap}; then
+ echo 1>&2
+ else
+ echo "failed: ./tst-table.sh ${common_objpfx} ${objpfx} ${charset} ${charmap}"
+ echo " *** FAILED ***" 1>&2
+ exit 1
+ fi
done
-exit $status
+exit $?